.interests{
    width: 100%;
    max-width: 1920px;
    background-color: rgba(var(--backVar),1);
    background: linear-gradient(to top, var(--backDarker), rgba(var(--highlightVar),1));
    padding-top: 100px;
    padding-bottom: 100px;
    background-repeat: no-repeat;
    background-origin: border-box;
    background-size: cover;
}
.interestsContainer{
    width: 73%;
    margin-left: auto;
    margin-right: auto;
    padding: 50px;
    background: linear-gradient(135deg, rgba(var(--backVar), 0.5), rgba(var(--backDarkerVar),0.5));
    border-radius: 20px 40px / 20px 40px;
    display: flex;
    align-items: center;
    justify-content: space-around;
}
.interestsContainer > div{
    width: 45%;
    border-radius: 20px;
    padding: 20px;
}
.topics{
    display: flex;
    height: 500px;
    flex-direction: column;
    align-items: normal;
    justify-content: space-around;
}
.content{
    background-color: var(--backDarker);
}
.topicTitle{
    height: 60px;
    width: 75%;
    padding: 20px;
    border-radius: 20px;
    background: linear-gradient(135deg,  var(--backDarker), rgba(var(--backVar), 1));
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    transition: all 0.2s ease-out;
    cursor: pointer;
}
.topicTitle > .textHeader{
    width: fit-content;
    padding: 15px;
    font-weight: 700;
    border-right: 2px solid rgba(var(--highlightVar), 1);
    border-bottom: 2px solid rgba(var(--highlightVar), 1);
    border-radius: 10px;
}
.topics:has(> div:hover) > div:not(:hover){
    transform: scale(0.9);
}
.topicTitle:hover{
    transform: scale(1.1);
    border: 2px solid rgba(var(--highlightVar),1);
}
.borderHighlight{
    border: 2px solid rgba(var(--highlightVar),1);
}
@keyframes fadeIn{
    0% { opacity: 0; }
    100% { opacity: 1; }
}
.topicContent{
    display: flex;
    height: 100%;
    width: 100%;
    flex-direction: column;
    justify-content: space-around;
    animation: fadeIn 0.3s ease-in forwards;
}
.topicContent > .textParagraph{
    text-align: center;
    margin-bottom: 1rem;
}
.topicContent > .modal img{
    height: fit-content;
    width: 60%;
    border-radius: 20px;
}
.verticalContent{
    display: flex;
    height: 100%;
    width: 100%;
    justify-content: space-around;
    animation: fadeIn 0.3s ease-in forwards;
    flex-direction: row ;
}
.verticalContent > .textParagraph{
    padding: 30px;
}
.verticalContent > .modal video{
    width: 200px;
    height: fit-content;
    border-radius: 20px;
}
.verticalContent > .textParagraph{
    text-align: center;
}
@media screen and (max-width:1520px) {
    .interestsContainer{
        flex-direction: column;
    }
    .topics{
        align-items: center;
    }
    .interestsContainer > div{
        width: 100%;
    }
}
@media screen and (max-width:800px) {
    .verticalContent#topic1{
        flex-direction: column !important;
    }
    .topicTitle{
        height: 90px;
    }
}